diff -NaurwB -X diffexclude mms-1.1.0-bzr-head/plugins/feature/epg/epg.cpp mms-1.1.0-bzr-head-fixepg/plugins/feature/epg/epg.cpp
--- mms-1.1.0-bzr-head/plugins/feature/epg/epg.cpp	2008-09-27 20:07:59.000000000 +0200
+++ mms-1.1.0-bzr-head-fixepg/plugins/feature/epg/epg.cpp	2008-10-05 16:37:06.000000000 +0200
@@ -202,8 +199,8 @@
 	
 		PObj *icon = new PFObj(themes->startmenu_epg, BORDER_LEFT, y, epg->header_box_size, epg->header_box_size, 1, true);
 
-	    S_Touch::get_instance()->register_area(TouchArea(rect(icon->x, icon->y, icon->w, icon->h), icon->layer,
-	  						   boost::bind(&XmlEpgEvent::no_op, this)));
+		S_Touch::get_instance()->register_area(TouchArea(rect(icon->x, icon->y, icon->w,
+				icon->h), icon->layer, boost::bind(&XmlEpgEvent::no_op, this)));
 	    
 		render->current.add(new PObj(themes->epg_background, 0, 0, 0, SCALE_FULL));
 	
@@ -218,7 +215,8 @@
 		y += epg->header_size.second + SPACING;
 		
 		page_of_pages = string_format::str_printf("%d/%d", page + 1, pages + 1);
-	    pages_size = string_format::calculate_string_size(page_of_pages, epg->annotation_font);
+		pages_size = string_format::calculate_string_size(page_of_pages,
+				epg->annotation_font);
 		pages_y = y - pages_size.second;
 		
 		strftime(time_str, 20, "%x", localtime(&start));
@@ -237,13 +235,16 @@
 		int x_off = 0;
 		
 		if (epg->display_channel_logo && !basechannel->logo.empty()) {
-			render->create_scaled_image_wrapper_upscaled(basechannel->logo, epg->title_size.second, epg->title_size.second);
+			render->create_scaled_image_wrapper_upscaled(basechannel->logo,
+					epg->title_size.second, epg->title_size.second);
 			render->current.add(new PFObj(basechannel->logo, BORDER_LEFT + SPACING, y,  epg->title_size.second, epg->title_size.second, false, 2));
 			x_off = epg->title_size.second + SPACING;
 		}
 		
 		if (epg->display_channel_name) {
-			string_format::format_to_size(basechannel->display_name, epg->title_font, width - BORDER_LEFT - BORDER_RIGHT - SPACING + x_off, true);
+			string_format::format_to_size(basechannel->display_name,
+					epg->title_font, width - BORDER_LEFT - BORDER_RIGHT
+							- SPACING + x_off, true);
 					
 			render->current.add(new TObj(basechannel->display_name, epg->title_font, BORDER_LEFT + SPACING + x_off, y,
 						themes->epg_font1, themes->epg_font2, themes->epg_font3, 2));
@@ -259,11 +260,13 @@
 		render->current.add(new TObj(time.str(), epg->subtitle_font, BORDER_LEFT + SPACING, y,
 				themes->epg_font1, themes->epg_font2, themes->epg_font3, 2));
 		
-		x_off = string_format::calculate_string_width(time.str(), epg->subtitle_font);
+		x_off = string_format::calculate_string_width(time.str(),
+				epg->subtitle_font);
 
 		time.str("");
 	
-		string_format::format_to_size(title, epg->subtitle_font, width - BORDER_LEFT - BORDER_RIGHT - SPACING - x_off, true);
+		string_format::format_to_size(title, epg->subtitle_font, width
+				- BORDER_LEFT - BORDER_RIGHT - SPACING - x_off, true);
 			
 		render->current.add(new TObj(title, epg->subtitle_font, BORDER_LEFT + SPACING + x_off + SPACING, y,
 				themes->epg_font1, themes->epg_font2, themes->epg_font3, 2));
@@ -272,7 +275,8 @@
 		
 		int start_y = y;
 		
-		int lines_of_text = (height - y - BORDER_BOTTOM) / epg->normal_size.second;
+		int lines_of_text = (height - y - BORDER_BOTTOM)
+				/ epg->normal_size.second;
 		int box_width = width - BORDER_LEFT - BORDER_RIGHT - (2 * SPACING);
 		int x = BORDER_LEFT + SPACING;
 		
@@ -281,7 +285,8 @@
 	    	index_to_page[0] = 0;
 	    	i = 0;
 			while (i < desc.size()) {
-			string descr = string_format::get_line(desc, i, box_width, epg->normal_font);
+				string descr = string_format::get_line(desc, i, box_width,
+						epg->normal_font);
 	
 				pos = i; // Remember last position
 
@@ -301,7 +306,8 @@
 		pos = 0;
 		
 		while (i < desc.size()) {
-			string descr = string_format::get_line(desc, i, box_width, epg->normal_font);
+			string descr = string_format::get_line(desc, i, box_width,
+					epg->normal_font);
 
 			pos = i; // Remember last position
 			
@@ -315,7 +321,8 @@
 		}
 	
 	    page_of_pages = string_format::str_printf("%d/%d", page + 1, pages + 1);
-	    pages_size = string_format::calculate_string_size(page_of_pages, epg->annotation_font);
+		pages_size = string_format::calculate_string_size(page_of_pages,
+				epg->annotation_font);
 
 	    render->current.add(new TObj(page_of_pages, epg->annotation_font, width - BORDER_RIGHT - pages_size.first, 
 	    		pages_y,
@@ -356,8 +363,7 @@
 	}
 }
 
-XmlEpgEvent::XmlEpgEvent(BaseChannel *ch, TiXmlElement *element) :
-	EpgEvent() {
+XmlEpgEvent::XmlEpgEvent(BaseChannel *ch, TiXmlElement *element) : EpgEvent() {
   TiXmlNode *node;
   TiXmlText *text;
 
@@ -570,8 +571,7 @@
 }
 
 void Epg::clear_db() {
-	SQLQuery *dq = db.query("sqlite_master",
-			"SELECT name FROM %t WHERE type='table'");
+	SQLQuery *dq = db.query("sqlite_master", "SELECT name FROM %t WHERE type='table'");
   if (dq) {
     for (int i = 0; i < dq->numberOfTuples(); ++i) {
       db.execute(("DROP TABLE " + (*dq)[i]["name"]).c_str());
@@ -762,13 +759,7 @@
 	}
 }
 
-Epg::Epg() :
-
-
-	db((conf->p_homedir() + "epg.db").c_str()), exit_loop(false), x_start(1),
-			epg_script_found(true), update_running(false) {
-
-	ende = false;
+Epg::Epg() : db((conf->p_homedir() + "epg.db").c_str()), exit_loop(false), x_start(1), epg_script_found(true), update_running(false) {
 #ifdef use_nls
   // gettext
   setlocale(LC_ALL, ""); /* set from the environment variables */
@@ -789,49 +780,30 @@
 	border_bottom += (NotifyArea::height + spacing);
 #endif
 
-	header_font = "Vera/" + conv::itos(resolution_dependant_font_size(28,
-			conf->p_v_res()));
-	title_font = "Vera/" + conv::itos(resolution_dependant_font_size(22,
-			conf->p_v_res()));
-	subtitle_font = "Vera/" + conv::itos(resolution_dependant_font_size(18,
-			conf->p_v_res()));
-	normal_font = "Vera/" + conv::itos(resolution_dependant_font_size(16,
-			conf->p_v_res()));
-	annotation_font = "Vera/" + conv::itos(resolution_dependant_font_size(12,
-			conf->p_v_res()));
-	grid_font = "Vera/" + conv::itos(resolution_dependant_font_size(14,
-			conf->p_v_res()));
-	search_font = "Vera/" + conv::itos(resolution_dependant_font_size(22,
-			conf->p_v_res()));
-	search_select_font = "Vera/" + conv::itos(resolution_dependant_font_size(
-			16, conf->p_v_res()));
-
-	header_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			header_font);
-	title_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			title_font);
-	subtitle_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			subtitle_font);
-	normal_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			normal_font);
-	annotation_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			annotation_font);
-	grid_size
-			= string_format::calculate_string_size("abcltuwHPMjJg", grid_font);
-	search_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			search_font);
-	search_select_size = string_format::calculate_string_size("abcltuwHPMjJg",
-			search_select_font);
+	header_font = "Vera/" + conv::itos(resolution_dependant_font_size(28, conf->p_v_res()));
+	title_font = "Vera/" + conv::itos(resolution_dependant_font_size(22, conf->p_v_res()));
+	subtitle_font = "Vera/" + conv::itos(resolution_dependant_font_size(18, conf->p_v_res()));
+	normal_font = "Vera/" + conv::itos(resolution_dependant_font_size(16, conf->p_v_res()));
+	annotation_font = "Vera/" + conv::itos(resolution_dependant_font_size(12, conf->p_v_res()));
+	grid_font = "Vera/" + conv::itos(resolution_dependant_font_size(14, conf->p_v_res()));
+	search_font = "Vera/" + conv::itos(resolution_dependant_font_size(22, conf->p_v_res()));
+	search_select_font = "Vera/" + conv::itos(resolution_dependant_font_size(16, conf->p_v_res()));
+
+	header_size = string_format::calculate_string_size("abcltuwHPMjJg", header_font);
+	title_size = string_format::calculate_string_size("abcltuwHPMjJg", title_font);
+	subtitle_size = string_format::calculate_string_size("abcltuwHPMjJg", subtitle_font);
+	normal_size = string_format::calculate_string_size("abcltuwHPMjJg", normal_font);
+	annotation_size = string_format::calculate_string_size("abcltuwHPMjJg", annotation_font);
+	grid_size = string_format::calculate_string_size("abcltuwHPMjJg", grid_font);
+	search_size = string_format::calculate_string_size("abcltuwHPMjJg", search_font);
+	search_select_size = string_format::calculate_string_size("abcltuwHPMjJg", search_select_font);
 	
-	channel_size = string_format::calculate_string_size("abcltuwHPMjJgmi",
-			grid_font);
+	channel_size = string_format::calculate_string_size("abcltuwHPMjJgmi", grid_font);
 
 	header_box_size = static_cast<int>(header_size.second * 0.75);
 	search_box_size = static_cast<int>(search_size.second * 0.75);
 
-	timeslot_interval
-			= (epg_conf->p_timeslot_interval() > 5 ? epg_conf->p_timeslot_interval()
-					: 30);
+	timeslot_interval = (epg_conf->p_timeslot_interval() > 5 ? epg_conf->p_timeslot_interval() : 30);
 
 	display_channel_name = epg_conf->p_display_channel_name();
 	display_channel_logo = epg_conf->p_display_channel_logo();
@@ -841,8 +813,7 @@
 	grid_header_x = int((conf->p_h_res() * 0.75) + spacing/2);
 	grid_x		  = grid_header_x;
 
-	scale_factor = (timeslot_interval * SECONDS_PER_MINUTE * timeslots)
-			/ (double(conf->p_h_res() * 0.75) - (spacing / 2) - border_right);
+	scale_factor = (timeslot_interval * SECONDS_PER_MINUTE * timeslots)	/ (double(conf->p_h_res() * 0.75) - (spacing / 2) - border_right);
 
 	max_logo_size_x = 0;
 
@@ -871,9 +842,6 @@
 
 			if (epg_conf->p_svdrp_convert()) {
 				svdrp->SetLocale(epg_conf->p_svdrp_locale());
-				printf("Convert is %s, Locale is %s\n",
-						epg_conf->p_svdrp_convert() ? "true" : "false",
-						epg_conf->p_svdrp_locale().c_str());
 			}
 		}
 	}
@@ -886,6 +854,10 @@
 }
 
 Epg::~Epg() {
+	printf("bla\n");
+	
+	printf("~Epg Deinitting is %s\n", deinitting ? "true" : "false");
+	
   db_mutex.enterMutex();
   db.close();
   db_mutex.leaveMutex();
@@ -980,7 +952,9 @@
 			render->device->wait_for_not_drawing();
 			render->create_scaled_image_wrapper_upscaled(logo_file, int(conf->p_h_res() * 0.25 - spacing/2), grid_size.second);
 			
-			PFObj*l = new PFObj(logo_file, 1, 1, int(conf->p_h_res() * 0.25 - spacing/2), grid_size.second, false, 2);
+			PFObj
+					*l =
+							new PFObj(logo_file, 1, 1, int(conf->p_h_res() * 0.25 - spacing/2), grid_size.second, false, 2);
 
 			if (l) {
 				if (l->w > max_logo_size_x)
@@ -1240,8 +1213,6 @@
 			conf->p_input(), string("evdev")))
 		search_top_size += search_size;
 
-	// print_marked_search_letter();
-
 	list<string> empty;
 	empty.push_back("");
 
@@ -1279,8 +1250,6 @@
 }
 
 void Epg::search_touch_action(const vector<EpgEvent *>& events, int pos) {
-	printf("Action hook-back with pos : %d\n", pos);
-	
     if (events.size() > 0) {
     	clean_up_search_print();
     	
@@ -1291,7 +1260,6 @@
 }
 
 void Epg::search_action(const vector<EpgEvent *>& events) {
-	printf("Action hook-back\n");
 	int pos;
 	
     if (events.size() > 0) {
@@ -1352,7 +1320,8 @@
 
 	y += header_size.second * 0.75;
 
-	grid_header_y 	= border_top + header_size.second + spacing + annotation_size.second;
+	grid_header_y = border_top + header_size.second + spacing
+			+ annotation_size.second;
 	grid_spacing 	= int(3 * conf->p_v_res() / 405); // for adjustment of vertical spacing on higher resolutions
 	grid_y 			= grid_header_y + normal_size.second + spacing;
 
@@ -1367,7 +1336,8 @@
 
 	render->current.add(new PFObj(themes->general_search, border_left + spacing, y + (search_size.second - search_box_size)/2, search_box_size, search_box_size, 3, true));
 
-	int max_x = conf->p_h_res() - border_left - border_right - header_box_size - 2 * spacing;
+	int max_x = conf->p_h_res() - border_left - border_right - header_box_size
+			- 2 * spacing;
 
 	string sw = search_str;
 
@@ -1390,7 +1360,8 @@
 	y_start = grid_y;
 
 	// rows = (conf->p_v_res() - (y + BORDER_BOTTOM + SPACING)) / (grid_size.second + grid_spacing);
-	rows = (conf->p_v_res() - (y + border_bottom)) / (grid_size.second + grid_spacing);
+	rows = (conf->p_v_res() - (y + border_bottom)) / (grid_size.second
+			+ grid_spacing);
 
 	if (events.size() > 0) {
 		pos = offset % events.size();
@@ -1443,19 +1414,23 @@
 		int i;
 		for (i = 0; (i < rows) && ((i + start) < events.size()); i++) {
 			std::string time;
-			print_channel(y + (i* (grid_size.second + grid_spacing)), events[i + start]->basechannel);		
+			print_channel(y + (i* (grid_size.second + grid_spacing)),
+					events[i + start]->basechannel);
 
-			strftime(time_str, 20, "%x %H:%M", localtime( &(events[i + start]->start)));
+			strftime(time_str, 20, "%x %H:%M",
+					localtime( &(events[i + start]->start)));
 			time.assign(time_str);
 			time.append(" - ");
-			strftime(time_str, 20, "%H:%M", localtime( &(events[i + start]->stop)));
+			strftime(time_str, 20, "%H:%M",
+					localtime( &(events[i + start]->stop)));
 			time.append(time_str);
 	
 			if (events[i + start]->HasTimer()) {
 				render->current.add(new TObj(time, grid_font, grid_x, y + (i * (grid_size.second + grid_spacing)),
 						themes->epg_timer_marked1, themes->epg_timer_marked2, themes->epg_timer_marked3, 3));
 		
-				string_format::format_to_size(events[i + start]->title, grid_font, conf->p_h_res() - (grid_x + time_size
+				string_format::format_to_size(events[i + start]->title,
+						grid_font, conf->p_h_res() - (grid_x + time_size
 						+ spacing) - border_right, true);
 		
 				render->current.add(new TObj(events[i + start]->title, grid_font, grid_x + time_size + spacing, y + (i * (grid_size.second + grid_spacing)),
@@ -1464,20 +1439,19 @@
 				render->current.add(new TObj(time, grid_font, grid_x, y + (i * (grid_size.second + grid_spacing)),
 						themes->epg_font1, themes->epg_font2, themes->epg_font3, 3));
 		
-				string_format::format_to_size(events[i + start]->title, grid_font, conf->p_h_res() - (grid_x + time_size
+				string_format::format_to_size(events[i + start]->title,
+						grid_font, conf->p_h_res() - (grid_x + time_size
 						+ spacing) - border_right, true);
 		
 				render->current.add(new TObj(events[i + start]->title, grid_font, grid_x + time_size + spacing, y + (i * (grid_size.second + grid_spacing)),
 						themes->epg_font1, themes->epg_font2, themes->epg_font3, 3));
 			}
 			
-		    S_Touch::get_instance()->register_area(
-		    		TouchArea( 
-		    				rect(grid_x, y + (i * (grid_size.second + grid_spacing)), conf->p_h_res() - (grid_x + border_right), grid_size.second + grid_spacing),
-		    					3,
-		  						boost::bind(&Epg::search_touch_action, this, events, i + start)
-		    				)
-		  				);
+			S_Touch::get_instance()->register_area(TouchArea(
+					rect(grid_x, y + (i * (grid_size.second + grid_spacing)),
+							conf->p_h_res() - (grid_x + border_right),
+							grid_size.second + grid_spacing), 3, boost::bind(
+							&Epg::search_touch_action, this, events, i + start) ) );
 		}
 		render->current.add(new PFObj(themes->general_marked, logo_x - 10, y + cursor * (grid_size.second + grid_spacing) - (grid_spacing / 2), conf->p_h_res() - border_right - logo_x + 20, grid_size.second + grid_spacing, 2, true));
 	}
@@ -1495,10 +1469,6 @@
 
 		render->wait_and_aquire();
 
-		// string header_font = graphics::resolution_dependant_font_wrapper(22, conf);
-		// std::pair<int, int> header_size = string_format::calculate_string_size("abcltuwHPMjJg", search_font);
-		// std::pair<int, int> search_select_size = string_format::calculate_string_size("abcltuwHPMjJg", search_font);
-
 		int y_offset = static_cast<int>(search_size.second + search_top_size);
 
 		if (overlay_search.elements.size() > 0)
@@ -1509,7 +1479,6 @@
 		int magic_offset = -8;
 		if (conf->p_h_res() <= 800) {
 			marked_thickness = 22;
-		// 	marked_height = 30;
 			magic_offset = -10;
 		}
 
@@ -1524,11 +1493,6 @@
 
 		int start_pos = border_left;
 
-/*		
-		if (conf->p_h_res() <= 800)
-			start_pos = 15;
-*/
-
 		for (int i = 0; i < keys.size(); ++i) {
 			if (keys[i] != '|')
 				spaced_keys += (keys.substr(i, 1) + " ");
@@ -1537,11 +1501,6 @@
 
 				spaced_keys = spaced_keys.substr(0, spaced_keys.size()-1);
 
-			//	string font = "Vera/18";
-/*
-				if (conf->p_h_res() <= 800)
-					font = "Vera/16";
-*/
 				int letters_width = string_format::calculate_string_width(
 						spaced_keys, search_select_font);
 
@@ -1935,9 +1893,7 @@
 
   render->current.add(new PObj(themes->epg_background, 0, 0, 0, SCALE_FULL));
 
-	PObj
-			*back =
-					new PFObj(themes->startmenu_epg, border_left, y, header_box_size, header_box_size, 1, true);
+	PObj *back = new PFObj(themes->startmenu_epg, border_left, y, header_box_size, header_box_size, 1, true);
 
   render->current.add(back);
 
@@ -1946,9 +1902,7 @@
 					&Epg::exit, this)));
 
   if (themes->show_header) {
-		TObj
-				*t =
-						new TObj(dgettext("mms-epg", "EPG"), header_font, border_left + header_box_size + spacing, y + (header_box_size - header_size.second) / 2,
+		TObj *t = new TObj(dgettext("mms-epg", "EPG"), header_font, border_left + header_box_size + spacing, y + (header_box_size - header_size.second) / 2,
 		       themes->epg_header_font1, themes->epg_header_font2,
 		       themes->epg_header_font3, 1);
 
@@ -2366,9 +2317,7 @@
 		db.execute(tmp);
 		sqlite3_free(tmp);
 		
-		tmp
-				= sqlite3_mprintf(
-						"INSERT INTO Channel (id, number, tvid, name) VALUES (NULL, %d, '%q', '%q')",
+		tmp = sqlite3_mprintf("INSERT INTO Channel (id, number, tvid, name) VALUES (NULL, %d, '%q', '%q')",
 			  ch->number, ch->id.c_str(), ch->display_name.c_str());
 		db.execute(tmp);
 		sqlite3_free(tmp);
@@ -2379,9 +2328,7 @@
 			x = (XmlEpgEvent *)(*e);	
 			// FIXME: determine if movie, episode or ordinary program
 
-			char
-					*insert =
-							sqlite3_mprintf(
+			char *insert = sqlite3_mprintf(
 									"INSERT INTO Program (id, cid, title, ltitle, description, ldescription, start_time, end_time, duration) VALUES (NULL, '%q', '%q', '%q', '%q', '%q', %ld, %ld, %ld)",
 					  ch->id.c_str(), x->title.c_str(),
 									string_format::lowercase(x->title).c_str(), x->desc.c_str(),
@@ -2538,9 +2485,7 @@
 		db.execute(tmp);
 		sqlite3_free(tmp);
 
-		tmp
-				= sqlite3_mprintf(
-						"INSERT INTO Channel (id, number, tvid, name) VALUES (NULL, %d, '%q', '%q')",
+		tmp	= sqlite3_mprintf("INSERT INTO Channel (id, number, tvid, name) VALUES (NULL, %d, '%q', '%q')",
 						sc->number, sc->id.c_str(), sc->display_name.c_str() );
 
 		db.execute(tmp);
@@ -2551,10 +2496,7 @@
 		
 		for (ev = ch->program.begin(); ev != ch->program.end(); ev++) {
 			p = (SvdrpEpgEvent *)(*ev);		
-			char
-					*insert =
-							sqlite3_mprintf(
-									"INSERT INTO Program (id, cid, title, ltitle, description, ldescription, start_time, end_time, duration, vps) VALUES (NULL, '%q', '%q', '%q', '%q', '%q', %ld, %ld, %ld, %ld)",
+			char *insert = sqlite3_mprintf("INSERT INTO Program (id, cid, title, ltitle, description, ldescription, start_time, end_time, duration, vps) VALUES (NULL, '%q', '%q', '%q', '%q', '%q', %ld, %ld, %ld, %ld)",
 					  ch->id.c_str(), p->title.c_str(),
 									string_format::lowercase(p->title).c_str(), p->desc.c_str(),
 									string_format::lowercase(p->desc).c_str(), p->start,
@@ -2581,7 +2524,7 @@
   if (epg->use_svdrp) {
 	  if (epg->svdrp) {
 		  if (epg->GetSvdrpData()) {
-			  Print pdialog(Print::SCREEN);
+				DialogWaitPrint pdialog(2000);
 				pdialog.add_line(dgettext("mms-epg",
 						"EPG TV listings reloaded from Svdrp-Host"));
 			  pdialog.print();
@@ -2600,9 +2543,11 @@
   run::external_program(epg_conf->p_epg_update_script());
 
   Print pdialog(Print::SCREEN);
-  pdialog.add_line(dgettext("mms-epg", "EPG TV listings file reloaded"));
+		pdialog.add_line(dgettext("mms-epg",
+				"EPG TV listings file reloaded"));
   pdialog.add_line("");
-  pdialog.add_line(dgettext("mms-epg", "The new data file will be used"));
+		pdialog.add_line(dgettext("mms-epg",
+				"The new data file will be used"));
   pdialog.add_line(dgettext("mms-epg", "the next time you enter EPG"));
   pdialog.print();
 
diff -NaurwB -X diffexclude mms-1.1.0-bzr-head/plugins/feature/epg/epg.hpp mms-1.1.0-bzr-head-fixepg/plugins/feature/epg/epg.hpp
--- mms-1.1.0-bzr-head/plugins/feature/epg/epg.hpp	2008-09-27 20:07:59.000000000 +0200
+++ mms-1.1.0-bzr-head-fixepg/plugins/feature/epg/epg.hpp	2008-10-04 16:25:28.000000000 +0200
@@ -64,9 +64,12 @@
 		EpgEvent();
 		~EpgEvent();
 		void no_op() { };
-		virtual RObj *Print(Render *render, Themes *themes, int x, int y, int width, int height, bool seclected, std::string fontname) = 0;
-		virtual void PrintDescription(Render *render, Themes *themes, int width, int height) = 0;
-		virtual bool ToggleTimer(Render *render, Themes *themes, int width, int height) = 0;
+	virtual RObj *Print(Render *render, Themes *themes, int x, int y,
+			int width, int height, bool seclected, std::string fontname) = 0;
+	virtual void PrintDescription(Render *render, Themes *themes, int width,
+			int height) = 0;
+	virtual bool ToggleTimer(Render *render, Themes *themes, int width,
+			int height) = 0;
 		virtual bool HasTimer() = 0;
 		BaseChannel *basechannel;
 };
diff -NaurwB -X diffexclude mms-1.1.0-bzr-head/plugins/feature/epg/svdrp.cpp mms-1.1.0-bzr-head-fixepg/plugins/feature/epg/svdrp.cpp
--- mms-1.1.0-bzr-head/plugins/feature/epg/svdrp.cpp	2008-09-27 20:07:59.000000000 +0200
+++ mms-1.1.0-bzr-head-fixepg/plugins/feature/epg/svdrp.cpp	2008-10-05 15:46:09.000000000 +0200
@@ -289,8 +289,6 @@
 		    	}
 		    } while (colon >= 0 && colon < filename.size());
 		    
-		    info.assign(infobuf);
-
 		    colon = 0;
 		    
 		    do {
@@ -415,8 +413,6 @@
 		    	}
 		    } while (colon >= 0 && colon < filename.size());
 		    
-		    info.assign(infobuf);
-
 		    colon = 0;
 		    
 		    do {
